Вход | Регистрация

1С:Предприятие :: 1С:Предприятие 8 общая

Hasp для 1С на Ubuntu 16.04 x64

Hasp для 1С на Ubuntu 16.04  x64
Я
   ssserg
 
29.12.17 - 12:48
Здравствуйте!
Ставлю пакеты хаспа:
haspd_7.60-eter1ubuntu_i386.deb  - устанавливается нормально
haspd-modules_7.60-eter1ubuntu_i386.deb на Ubuntu 16.04 - выдаёт ошибку

Выбор ранее не выбранного пакета haspd-modules:i386.
Подготовка к распаковке haspd-modules_7.60-eter1ubuntu_i386.deb …
Распаковывается haspd-modules:i386 (7.60-eter1ubuntu) …
Настраивается пакет haspd:i386 (7.60-eter1ubuntu) …
insserv: warning: script 'haspd.outformat' missing LSB tags and overrides
dpkg: зависимости пакетов не позволяют настроить пакет haspd-modules:i386:
haspd-modules:i386 зависит от make.

dpkg: ошибка при обработке пакета haspd-modules:i386 (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для libc-bin (2.23-0ubuntu9) …
Обрабатываются триггеры для systemd (229-4ubuntu21) …
Обрабатываются триггеры для ureadahead (0.100.0-19) …
Обрабатываются триггеры для man-db (2.7.5-1) …
При обработке следующих пакетов произошли ошибки:
haspd-modules:i386


Что можно сделать?
 
 
   Вафель
 
1 - 29.12.17 - 12:49
а почему i386?
   Вафель
 
2 - 29.12.17 - 12:50
   ssserg
 
3 - 29.12.17 - 12:51
(1) мне тоже кажется дело в архитектуре, тут 2 варианты я понимаю или найти пакет x64 haspa или добавить архитектуру i386 - есть идеи как это сделать?
   ssserg
 
4 - 29.12.17 - 12:51
(2) cейчас посмотрю
   Вафель
 
5 - 29.12.17 - 12:56
   eRik
 
6 - 29.12.17 - 13:19
(0) под линукс 64-битного драйвера для хаспа не существует в природе. Даже если есть пакет для 64-битной системы, там внутри все равно 32-битный бинарник. Все эти "новые" версии просто легкая модификация древнего как гуано мамонта бинарника 15 летней давности. Отличия лишь в скрипте запуска, в который добавляют костылей так, чтобы эта древность смогла запуститься на новых версиях ядра системы.
   eRik
 
7 - 29.12.17 - 13:26
+(6) и да, модуль haspd-modules нужен только если есть lpt-шные ключи, иначе его не нужно ставить. Более того - там исходники, поэтому нужна будет куча пакетов для компиляции.
   ssserg
 
8 - 29.12.17 - 13:31
(5) эти пакеты встали, спасибо

теперь другая проблема: по сети видит лицензию через раз.
Раздаёт лицензию тоже комп с убунту, наверное это для отдельного вопроса тема
   ssserg
 
9 - 29.12.17 - 13:32
(7) (6) буду иметь ввиду

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.
Рекламное место пустует